/**********************************************************************/
//
// FILE:    caminscfg.cpp
//          Camera-INS configuration class functions.
// CREATED: 01 Sep 03  (ds)
// CHANGES: see include file
// REFS:    dito 
//
// (c) 2003 Dirk Stallmann (ds)/ IfP Uni Stuttgart
/**********************************************************************/

#include "caminscfg.h"

namespace DEP
{

// constructor

CamINSConfig::CamINSConfig() : AdjObject(), _rot_matrix() {} 

// get type name

string CamINSConfig::type_str() const
{
	ostringstream oss;
	oss << "Camera-INS configuration";
	return oss.str();
}


// get key name

string CamINSConfig::key_str() const
{
	ostringstream oss;
	oss << "cam-ins-config";
	return oss.str();
}


// get parameter name

string CamINSConfig::uname(size_t i) const
{
	ostringstream oss;
	
	switch (i)
		{
		case 0: oss << "DX"; break;
		case 1: oss << "DY"; break;
		case 2: oss << "DZ"; break;
		case 3: oss << "m0"; break;
		case 4: oss << "m1"; break;
		case 5: oss << "m2"; break;
		case 6: oss << "m3"; break;
		default:
			assert(false);
			break;
		}

	return oss.str();
}


// non-member functions ...

} // namespace DEP
