/* $Id: deperr.h,v 1.2 2007/07/23 09:36:48 cvsroot Exp $ */

/* DGAP - General Analytical Positioning
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef DEPERR_INCLUDED
#define DEPERR_INCLUDED

namespace DEP
{

enum
{
	/* general return codes */
	OK = 1,				// no problems occurred 
	ERROR = -1,			// unspecified error occurred

	NOMALLOC = -2,		// memory allocation failed
	NULLDATA = -3,		// null data where should not be

	/* errors related to faulty structure setups */
	STRUCERR = -10,		// structure inconsistent
	NOSENSOR = -11,		// no sensor exists
	NOCAMERA = -12,		// no camera exists
	NOEXTORI = -13,		// no exi. orientation exists

	/* errors relating to lack of data */
	INSUFFIMG  = -20,	// insufficient number of images
	NOIMGPNTS  = -21, 	// no image points

	/* errors relating to invalid data */

	/* errors relating to missing files or other information sources */

	/* errors relating to function module failures */
	CHOLDECERR = -80,       /* Cholesky decomposition failed */
        
	DUMMY = -999
};


} // namespace DEP

#endif
