/* $Id: eoopkfix.cpp,v 1.7 2007/07/23 09:38:58 cvsroot Exp $ */

/* DGAP - General Analytical Positioning
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "eoopkfix.h"

namespace DEP
{

// get type name

string EOAnglesOPKFix::type_str() const
{
	ostringstream oss;
	oss << "omega-phi-kappa, fixed, cw";
	return oss.str();
}


// get key name

string EOAnglesOPKFix::key_str() const
{
	ostringstream oss;
	oss << "ext-ori-opk-fix";
	return oss.str();
}


// get parameter name

string EOAnglesOPKFix::uname(size_t i) const
{
	ostringstream oss;
	
	switch (i)
		{
		case 0: oss << "Xo"; break;
		case 1: oss << "Yo"; break;
		case 2: oss << "Zo"; break;
		case 3: oss << "omega"; break;
		case 4: oss << "phi"; break;
		case 5: oss << "kappa"; break;
		default:
			assert(false);
			break;
		}

	return oss.str();
}


// non-member functions ...

} // namespace DEP
